Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707634 - net-irc/ngircd-24 : fails to build with -fno-common or gcc-10
Summary: net-irc/ngircd-24 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sam James (sec padawan)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 17:42 UTC by Toralf Förster
Modified: 2020-04-26 13:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.87 KB, text/plain)
2020-01-31 17:42 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,210.45 KB, text/plain)
2020-01-31 17:42 UTC, Toralf Förster
Details
environment (environment,34.41 KB, text/plain)
2020-01-31 17:42 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.18 KB, application/x-bzip)
2020-01-31 17:42 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.78 KB, application/x-bzip)
2020-01-31 17:42 UTC, Toralf Förster
Details
net-irc:ngircd-24:20200131-083733.log (net-irc:ngircd-24:20200131-083733.log,246.00 KB, text/plain)
2020-01-31 17:42 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,17.91 KB, application/x-bzip)
2020-01-31 17:43 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:42:42 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../src  -I./../portab -I./../tool -I./../ipaddr   -O2 -pipe -march=native -fno-common -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes -fstack-protector -DSYSCONFDIR='"/etc/ngircd"' -DDOCDIR='"/usr/share/doc/ngircd-24"' -c proc.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../src  -I./../portab -I./../tool -I./../ipaddr   -O2 -pipe -march=native -fno-common -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes -fstack-protector -DSYSCONFDIR='"/etc/ngircd"' -DDOCDIR='"/usr/share/doc/ngircd-24"' -c resolve.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../src  -I./../portab -I./../tool -I./../ipaddr   -O2 -pipe -march=native -fno-common -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes -fstack-protector -DSYSCONFDIR='"/etc/ngircd"' -DDOCDIR='"/usr/share/doc/ngircd-24"' -c sighandlers.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -pipe -W -Wall -Wpointer-arith -Wstrict-prototypes -fstack-protector -DSYSCONFDIR='"/etc/ngircd"' -DDOCDIR='"/usr/share/doc/ngircd-24"' -L../portab -L../tool -L../ipaddr -Wl,-O1 -Wl,--as-needed -o ngircd ngircd.o array.o channel.o class.o client.o client-cap.o conf.o conn.o conn-encoding.o conn-func.o conn-ssl.o conn-zip.o hash.o io.o irc.o irc-cap.o irc-channel.o irc-encoding.o irc-info.o irc-login.o irc-metadata.o irc-mode.o irc-op.o irc-oper.o irc-server.o irc-write.o lists.o log.o login.o match.o numeric.o op.o pam.o parse.o proc.o resolve.o sighandlers.o -lngportab -lngtool -lngipaddr -lpam -lssl -lcrypto -lz  -lwrap 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: channel.o:(.bss+0xe3): multiple definition of `Conf_MorePrivacy'; ngircd.o:(.bss+0x583): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: channel.o:(.bss+0x1c3): multiple definition of `Conf_OperCanMode'; ngircd.o:(.bss+0x663): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 07:54:17 +0000

emerge -qpvO net-irc/ngircd
[ebuild  N    ] net-irc/ngircd-24  USE="iconv ipv6 pam ssl tcpd zlib -debug -gnutls -ident -libressl -test"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:42:45 UTC
Created attachment 609812 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:42:48 UTC
Created attachment 609814 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:42:51 UTC
Created attachment 609816 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:42:54 UTC
Created attachment 609818 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:42:56 UTC
Created attachment 609820 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:42:59 UTC
Created attachment 609822 [details]
net-irc:ngircd-24:20200131-083733.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:43:02 UTC
Created attachment 609824 [details]
temp.tbz2
Comment 8 Sam James (sec padawan) 2020-03-09 09:48:56 UTC
Reported upstream: https://github.com/ngircd/ngircd/issues/266
Comment 9 Larry the Git Cow gentoo-dev 2020-04-26 13:37:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f4569a28161fc2d931863ab8e826d2dd2080e3f

commit 9f4569a28161fc2d931863ab8e826d2dd2080e3f
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-04-15 19:33:15 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-04-26 13:36:49 +0000

    net-irc/ngircd: Bump to 25, GLEP 81
    
    Closes: https://bugs.gentoo.org/696572
    Closes: https://bugs.gentoo.org/707634
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-irc/ngircd/Manifest                         |   1 +
 net-irc/ngircd/files/ngircd-25-fix-gcc-10.patch |  77 ++++++++++++++++
 net-irc/ngircd/files/ngircd-25-make-env.patch   |  75 ++++++++++++++++
 net-irc/ngircd/metadata.xml                     |   2 +
 net-irc/ngircd/ngircd-25.ebuild                 | 111 ++++++++++++++++++++++++
 5 files changed, 266 insertions(+)